> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blockworksresearch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Treasury Holdings

> Number of tokens held by the company. See crypto-asset for asset indicator

## Overview

* **Denomination:** ETH
* **Type:** Decimal
* **Interval:** Daily
* **Source:** Blockworks

## Example Request

<CodeGroup>
  ```bash cURL theme={null}
  curl -H "x-api-key: YOUR_API_KEY" \
    "https://api.blockworks.com/v1/metrics/treasury-holdings-eth?project=SBET"
  ```

  ```typescript TypeScript theme={null}
  const res = await fetch(
    'https://api.blockworks.com/v1/metrics/treasury-holdings-eth?project=SBET',
    { headers: { 'x-api-key': 'YOUR_API_KEY' } }
  )
  const data = await res.json()
  ```

  ```python Python theme={null}
  import requests

  r = requests.get(
    'https://api.blockworks.com/v1/metrics/treasury-holdings-eth',
    headers={'x-api-key': 'YOUR_API_KEY'},
    params={'project': 'SBET'}
  )
  data = r.json()
  ```
</CodeGroup>

## Example Response

```json theme={null}
{
  "sbet": [
    {
      "date": "2026-04-20",
      "value": 870619
    },
    {
      "date": "2026-04-19",
      "value": 870619
    },
    {
      "date": "2026-04-18",
      "value": 870619
    },
    {
      "date": "2026-04-17",
      "value": 870619
    },
    {
      "date": "2026-04-16",
      "value": 870619
    },
    {
      "date": "2026-04-15",
      "value": 870619
    }
  ]
}
```

## Notes

* Intervals are daily unless otherwise noted.
* Data is updated daily and may be revised after late-arriving data.


## OpenAPI

````yaml GET /v1/metrics/treasury-holdings-eth
openapi: 3.0.0
info:
  title: Blockworks API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.blockworks.com
security:
  - x-api-key: []
tags: []
paths:
  /v1/metrics/treasury-holdings-eth:
    get:
      summary: Treasury Holdings Eth
      description: Retrieve the 'treasury-holdings-eth' metric for supported projects.
      operationId: MetricController_getResults_v1_treasury_holdings_eth
      parameters:
        - name: project
          in: query
          required: true
          description: Project slug (comma-separated for multiple).
          schema:
            type: string
            enum:
              - BMNR
              - BTBT
              - BTCS
              - ETHM
              - ETHZ
              - FGNX
              - GAME
              - SBET
            example: BMNR
          examples:
            BMNR:
              value: BMNR
              summary: BMNR
            BTBT:
              value: BTBT
              summary: BTBT
            BTCS:
              value: BTCS
              summary: BTCS
            ETHM:
              value: ETHM
              summary: ETHM
            ETHZ:
              value: ETHZ
              summary: ETHZ
            FGNX:
              value: FGNX
              summary: FGNX
            GAME:
              value: GAME
              summary: GAME
            SBET:
              value: SBET
              summary: SBET
            multi:
              value: BMNR,BTBT
              summary: BMNR + BTBT
        - name: start_date
          in: query
          required: false
          schema:
            type: string
            format: date
          description: Start date (YYYY-MM-DD)
        - name: end_date
          in: query
          required: false
          schema:
            type: string
            format: date
          description: End date (YYYY-MM-DD)
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: array
                  items:
                    type: object
                    additionalProperties: true
              example:
                projectName:
                  - date: '2025-08-10'
                    value: 123456.789
                  - date: '2025-08-11'
                    value: 234567.89
                  - date: '2025-08-12'
                    value: 345678.901
        '400':
          description: Bad Request
        '404':
          description: Not Found
      security:
        - x-api-key: []
components:
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````